//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "iconext1.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TForm1 *Form1;
//---------------------------------------------------------------------------
__fastcall TForm1::TForm1(TComponent* Owner)
        : TForm(Owner)
{
}
//---------------------------------------------------------------------------


void __fastcall TForm1::FileListBox1Click(TObject *Sender)
{
  AnsiString Fname,ext;
  Graphics::TBitmap *bmp;
  HICON hIcon;
  TIcon	*Icon;

  Fname=FileListBox1->FileName;

  ext=ExtractFileExt(Fname);
  ext=ext.LowerCase();

  if ((ext !=".ico")&&(ext!=".exe")&&(ext!=".dll"))
   {
    Image1->Visible=false;
    Label1->Visible=false;
    Label2->Visible=false;
    Label3->Visible=false;
    return;
   }


  Image1->Visible=true;
  Label1->Visible=true;
  Label2->Visible=true;
  Label3->Visible=true;

  bmp=new Graphics::TBitmap;
  Icon=new TIcon;


  if(ext==".ico")
   {
	Icon->LoadFromFile(Fname);

	bmp->Width=Icon->Width+1;
	bmp->Height =Icon->Height+1;

	 hIcon=Icon->Handle;

	 HDC hdc=bmp->Canvas->Handle;
	 DrawIcon(hdc,0,0,hIcon);

	 Image1->Canvas->StretchDraw(Rect(1,1,70,70),bmp);

   }
  else
   {
	  if((ext==".exe")||(ext==".dll"))
	   {
		ExtractIconEx(Fname.c_str(),0,&hIcon,NULL,1);

		Icon->Handle = hIcon;

		bmp->Width=Icon->Width+1;
		bmp->Height =Icon->Height+1;

		HDC hdc=bmp->Canvas->Handle;
		DrawIcon(hdc,0,0,hIcon);

		Image1->Canvas->StretchDraw(Rect(1,1,70,70),bmp);

	   }

   }
  Label1->Caption=Icon->Width;
  Label2->Caption=Icon->Height;

  Icon->ReleaseHandle();
  DestroyIcon(hIcon);

  delete bmp;
}
//---------------------------------------------------------------------------
void __fastcall TForm1::FormActivate(TObject *Sender)
{
  Image1->Width=70;
  Image1->Height=70;
  Image1->Top=340;
  Image1->Left=24;

  Image1->Visible=false;
  Label1->Visible=false;
  Label2->Visible=false;
  Label3->Visible=false;

}
//---------------------------------------------------------------------------
